import 'package:flutter/material.dart';

class LgcMenu extends StatelessWidget {
  final String value;
  final Function onChange;
  LgcMenu(this.value, {Key key, this.onChange}) : super(key: key);

  void _select(String lgc) {
    onChange(lgc);
  }

  @override
  Widget build(BuildContext context) {
    return PopupMenuButton<String>(
      onSelected: _select,
      icon: Icon(Icons.language),
      itemBuilder: (BuildContext context) {
        return [
          PopupMenuItem<String>(
            value: 'my',
            child: item('Myanmar', context, 'my' == this.value),
          ),
          PopupMenuItem<String>(
            value: 'en',
            child: item('English', context, 'en' == this.value),
          ),
        ];
      },
    );
  }

  Widget item(String label, BuildContext context, bool active) {
    bool dart = Theme.of(context).brightness == Brightness.dark;

    if (!active) return Text(label);

    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: <Widget>[
        Text(label),
        Icon(Icons.check, color: dart ? Colors.white : Colors.black)
      ],
    );
  }
}
