import 'package:flutter/material.dart';

class ISilverAppbar extends StatelessWidget {
  final Widget child;
  final String title;
  final Widget background;
  final List<Widget> actions;
  final double expandedHeight;
  final bool hasScrollBody;
  const ISilverAppbar({
    this.child,
    this.actions,
    this.background,
    this.title = '',
    this.expandedHeight = 300,
    this.hasScrollBody = true,
  });

  @override
  Widget build(BuildContext context) {
    return CustomScrollView(
      physics: BouncingScrollPhysics(),
      slivers: <Widget>[
        SliverAppBar(
          pinned: true,
          actions: actions,
          expandedHeight: expandedHeight,
          flexibleSpace: FlexibleSpaceBar(
            title: Text(
              title,
              maxLines: 1,
              overflow: TextOverflow.ellipsis,
            ),
            background: background,
          ),
        ),
        SliverFillRemaining(
          child: child,
          hasScrollBody: hasScrollBody,
        )
      ],
    );
  }
}
